VMware Workstation 8.0.3 cannot update, “Vmware Kernel Module Updater Unable to start services”

VMWare Workstation 8 is currently unable to update on certain Linux¬†distributions. The updater runs, is unable to stop “Virtual Network Device”, and ultimately fails saying “Unable to start services”. I solved this problem by doing the following:

attaining the 8.0.2 patch at this helpful website: http://weltall.heliohost.org/wordpress/2012/01/26/vmware-workstation-8-0-2-player-4-0-2-fix-for-linux-kernel-3-2-and-3-3/ (they also have a patch for 7.1.5)

Since I have VMware Workstation 8.0.3 build-703057, I had to change the following line in the file patch-modules_3.2.0.sh:

vmreqver=8.0.2

to:

vmreqver=8.0.3
sudo ./patch-modules_3.2.0.sh

and you’re done!

Leave a Reply

Your email address will not be published. Required fields are marked *